import 'package:flutter/material.dart';
import 'package:krezus/pages/transactions/widgets/transactions_actions.dart';
import 'package:krezus/pages/transactions/widgets/transactions_header.dart';
import 'package:krezus/pages/transactions/widgets/transactions_list.dart';

class TransactionsPage extends StatelessWidget {
  const TransactionsPage({super.key});

  @override
  Widget build(BuildContext context) {
    MediaQueryData mediaQuery = MediaQuery.of(context);
    return Center(
      child: Container(
        constraints: const BoxConstraints(
          maxWidth: 1000 
        ),
        padding: mediaQuery.padding,
        child: const Column(
          children: [
            TransactionsActions(),
            TransactionsHeader(),
            TransactionsList(),
          ],
        ),
      )
    );
  }
}